import { createSlice } from '@reduxjs/toolkit';
// import Cookies from 'js-cookie'

// let token = Cookies.get('token') ? Cookies.get('token') : null;
const initialState = { token : null };

export const tokenSlice = createSlice({
  name: "token",
  initialState,
  reducers: {
    setToken: (state, action) => {
      state.token = action.payload;
    },
    removeToken: (state, _action) => {
      state.token = null;
    }
  }
})

export const { setToken, removeToken } = tokenSlice.actions;
export default tokenSlice.reducer;
